Centos 6.4 Python 2.6 升级到 2.7

1.查看python的版本

#python -V 
Python 2.6.6

2.下载Python-2.7.3

#wget http://python.org/ftp/python/2.7.3/Python-2.7.3.tar.bz2

3.解压

#tar -jxvf Python-2.7.3.tar.bz2

4.更改工作目录

#cd Python-2.7.3

5.安装

#./configure 
#make all 
#make install 
#make clean 
#make distclean

6.查看版本信息

#/usr/local/bin/python2.7 -V

7.建立软连接,使系统默认的 python指向 python2.7

#mv /usr/bin/python /usr/bin/python2.6.6 
#ln -s /usr/local/bin/python2.7 /usr/bin/python

8.重新检验Python 版本

#python -V

9.软连接

解决系统 Python 软链接指向 Python2.7 版本后,因为yum是不兼容 Python 2.7的,所以yum不能正常工作,我们需要指定 yum 的Python版本

#vi /usr/bin/yum

将文件头部的

#!/usr/bin/python

改成

#!/usr/bin/python2.6.6

 上一篇
 获取WordPress的文章总数评论总数及用户总数		获取WordPress的文章总数评论总数及用户总数
WordPress博客信息统计有很多插件可以完成,但我们一般不需要那么强大的功能,一般我们只需要统计如:文章、反分类、评论的总数,更新时间、成立时间等信息,博客插件装多了影响速度,能不装插件就尽量不装插件,所以直接用PHP代码来吧。 日志总
2018-03-11
下一篇 
 解决要执行请求的操作,WordPress需要访问您网页服务器的权限 解决要执行请求的操作,WordPress需要访问您网页服务器的权限
比如我们在VPS主机中创建WordPress站点的时候,会有需要在线安装主题、插件等,但是点击下载安装的时候会有”要执行请求的操作,WordPress需要访问您网页服务器的权限。 请输入您的FTP登录凭据以继续。 如果您忘记了您的登录凭据(
2018-03-10
  目录